docusign.workspaces.put-workspace ​
Updates information about a specific workspace.
Update Workspace
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
workspaceid | string | Yes | — | The ID of the workspace. |
billableaccountid | string | No | — | The ID of the account to bill. |
callerinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
created | string | No | — | The UTC DateTime when the workspace user authorization was created. |
createdbyinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
lastmodified | string | No | — | Utc date and time the comment was last updated (can only be done by creator.) |
lastmodifiedbyinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
settings | json | No | — | This object provides information about the settings for the workspace. |
status | string | No | — | Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later. |
workspacebaseurl | string | No | — | The relative URL for accessing the workspace. |
workspacedescription | string | No | — | Text describing the purpose of the workspace. |
workspaceid_2 | string | No | — | The ID of the workspace, always populated. |
workspacename | string | No | — | The name of the workspace. |
workspaceuri | string | No | — | The relative URI for accessing the workspace. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
workspaceid | string | Yes | — | The ID of the workspace. |
billableaccountid | string | No | — | The ID of the account to bill. |
callerinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
created | string | No | — | The UTC DateTime when the workspace user authorization was created. |
createdbyinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
lastmodified | string | No | — | Utc date and time the comment was last updated (can only be done by creator.) |
lastmodifiedbyinformation | json | No | — | This object represents the workspace user. This property is only returned in response to user specific GET call. |
settings | json | No | — | This object provides information about the settings for the workspace. |
status | string | No | — | Indicates the envelope status. Valid values are: * sent - The envelope is sent to the recipients. * created - The envelope is saved as a draft and can be modified and sent later. |
workspacebaseurl | string | No | — | The relative URL for accessing the workspace. |
workspacedescription | string | No | — | Text describing the purpose of the workspace. |
workspaceid_2 | string | No | — | The ID of the workspace, always populated. |
workspacename | string | No | — | The name of the workspace. |
workspaceuri | string | No | — | The relative URI for accessing the workspace. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/workspaces/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/workspaces/ |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.workspaces.put-workspace",
"initial_data": {
"base_url": "value",
"accountid": "value",
"workspaceid": "value"
}
}